Scope requirements
Scope requirements
Retrieve default deduplication results
To retrieve record pairs identified as potential duplicates via HubSpot’s default detection method, make aGET request to /crm/data-quality/objects/2027-03-beta/duplicates/default.
The following query parameters are available to include in your request:
The response will include the following properties:
An example response is shown below:
Retrieve custom deduplication rules
To retrieve existing custom duplicate rules defined for an account, make aGET request to /crm/data-quality/objects/2027-03-beta/duplicates/custom-rules.
The following query parameters can be optionally included in your request:
The response will include the following properties:
The code block below demonstrates an example response:
GET request to /crm/data-quality/objects/2027-03-beta/duplicates/custom-rules?ruleId={ruleId}, passing the ID of the rule as the ruleId query parameter.
Retrieve custom deduplication results
To retrieve groups of records that match custom duplicate rules, make aGET request to /crm/data-quality/objects/2027-03-beta/duplicates/custom-rules/groups, and append any applicable query parameters:
- The
objectTypeparameter is required in all requests. - In addition, at least one of the following parameters is also required based on what you’re filtering:
ruleId,groupIdorobjectId.
The response will include the following properties:
An example response is shown in the code block below: